package com.cloudview.phx.music.player.control;

import com.tencent.mtt.browser.music.facade.MusicInfo;

/**
 * Cloud View 2021 copyright.
 *
 * @Description: TODO
 * @User: tonysheng
 * @Date: 2022/2/8
 * @Time: 9:08 下午
 * @version: V1.0
 */
interface IMediaControlCallbackAIDL
{
	void onPrepare(inout MusicInfo music);

	void onPrepareReady(inout MusicInfo music);

	void onPlay(inout MusicInfo music);

	void onPause(inout MusicInfo music);

	void onStop(inout MusicInfo music);

	void onBuffering(inout MusicInfo music);

	void onError(inout MusicInfo music, int errorCode, String msg);

	void onCompletion(inout MusicInfo musicInfo);

	void onSeekCompleted(inout MusicInfo musicInfo);

	void onPlayListDataChanged(inout MusicInfo music);

	void onMediaPlayerClose();
}
